<?
##########
$date = date('d.m.y H:i:s');
// Функция защиты от нежелательных действий
function html($text)
{
	return trim(mysql_real_escape_string(htmlentities($text, ENT_QUOTES, 'utf-8')));
}
// работа со switch
$do = isset($_GET['do']) ? $_GET['do'] : '';
// дата
function clock($time)
{
	$timep= date("j M Y в H:i:s", $time);
	$time_p[0]=date("j n Y", $time);
	$time_p[1]=date("H:i:s", $time);
	if ($time_p[0]==date("j n Y", time()))$timep='Сегодня в '.$time_p['1'];
	if ($time_p[0]==date("j n Y", time()-86400))$timep='Вчера в '.$time_p['1'];
	$months_eng = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
	$months_rus = array('Января','Февраля','Марта','Апреля','Мая','Июня','Июля','Августа','Сентября','Октября','Ноября','Декабря');
	$timep = str_replace($months_eng,$months_rus,$timep);
	return $timep;
}
function page($k_page=1){ // Выдает текущую страницу
$page=1;
if (isset($_GET['p'])){
if ($_GET['p']=='0')$page=intval($k_page);elseif(is_numeric($_GET['p'])) $page=intval($_GET['p']);}
if ($page<1)$page=1;
if ($page>$k_page)$page=$k_page;
return $page;}
function k_page($k_post=0,$k_p_str=10){ // Высчитывает количество страниц
if ($k_post!=0){$v_pages=ceil($k_post/$k_p_str);return $v_pages;}
else return 1;}
function str($link='?',$k_page=1,$page=1){ // Вывод номеров страниц (только на первый взгляд кажется сложно ;))
if ($page<1)$page=1;
echo "<div class=\"b\">\n";
if ($page>1)echo "<a href=\"".$link."p=".($page-1)."\" title='Предыдущая страница (№".($page-1).")'>&lt;пред</a> |\n";
echo " ";
if ($page<$k_page)echo " <a href=\"".$link."p=".($page+1)."\" title='Следующая страница (№".($page+1).")'>след&gt;</a> \n";
if ($page!=1)echo " <a href=\"".$link."p=1\" title='Страница №1'>1</a>,\n";else echo "<b>1</b>,\n";
for ($ot=-3; $ot<=3; $ot++){
if ($page+$ot>1 && $page+$ot<$k_page){
if ($ot==-3 && $page+$ot>2)echo "";
if ($ot!=0)echo " <a href=\"".$link."p=".($page+$ot)."\" title='Страница №".($page+$ot)."'>".($page+$ot)."</a> ,\n";else echo "<b>".($page+$ot)."</b> ,\n";
if ($ot==3 && $page+$ot<$k_page-1)echo "";}}
if ($page!=$k_page)echo " <a href=\"".$link."p=0\" title='Страница №$k_page'>$k_page</a>";elseif ($k_page>1)echo " <b>$k_page</b>";
echo "</div>\n";
}
class Functions
{
// функция вывода блока
function div($div,$text)
{
return '<div class="'.$div.'">'.$text.'</div>';
}}
$f = new Functions;
?>